## python-confuse 1.7.0

=== Makefile ===
.PHONY: all virtualenv install nopyc clean docs

SHELL := /usr/bin/env bash
PYTHON_BIN ?= python

all: virtualenv install

virtualenv:
	@if [ ! -d "venv" ]; then \
		$(PYTHON_BIN) -m pip install virtualenv --user; \
		$(PYTHON_BIN) -m virtualenv venv; \
	fi

install: virtualenv
	@( \
		source venv/bin/activate; \
		python -m pip install -r requirements.txt; \
	)

nopyc:
	find . -name '*.pyc' | xargs rm -f || true
	find . -name __pycache__ | xargs rm -rf || true

clean: nopyc
	rm -rf _build dist *.egg-info venv

docs: install
	@( \
		source venv/bin/activate; \
		python -m pip install -r docs/requirements.txt; \
		sphinx-build -M html docs _build/docs; \
	)

=== debian/changelog ===
python-confuse (1.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 29 Nov 2021 14:13:10 -0400

python-confuse (1.6.0-2) unstable; urgency=medium

  * Drop flit testing, pybuild can now run tests on flit packages, itself.
  * Replace nose with pytest (see: #997758).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 24 Oct 2021 11:40:30 -0700

python-confuse (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 01 Oct 2021 10:57:54 -0700

python-confuse (1.5.0-2) unstable; urgency=medium

  * Source-only upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 19 Sep 2021 09:14:55 -0700

python-confuse (1.5.0-1) experimental; urgency=low

  * Initial release. (Closes: #994280)

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Sep 2021 20:53:40 -0700

=== debian/control ===
Source: python-confuse
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python (>= 5.20211016~),
 dh-sequence-python3,
 flit,
 python3-all,
 python3-pytest,
 python3-toml,
 python3-yaml
Standards-Version: 4.6.0
Homepage: https://github.com/beetbox/confuse
Vcs-Git: https://salsa.debian.org/python-team/packages/python-confuse.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-confuse
Rules-Requires-Root: no

Package: python3-confuse
Architecture: all
Depends: python3-yaml, ${misc:Depends}, ${python3:Depends}
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: Python Library for painless YAML configuration
 Confuse is a configuration library for Python that uses YAML. It takes care of
 defaults, overrides, type checking, command-line integration, human-readable
 errors, and standard OS-specific locations.

## python-confuse 2.0.0

=== docs/requirements.txt ===
Sphinx
sphinx_rtd_theme
PyYAML

=== debian/changelog ===
python-confuse (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Migrate to pybuild's pyproject plugin.
  * Use py3versions -s in the unittests3 autopkgtest.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 19 Jul 2022 15:46:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,11 @@
  dh-python (>= 5.20211016~),
  dh-sequence-python3,
  flit,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-pytest,
- python3-toml,
  python3-yaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/beetbox/confuse
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-confuse.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-confuse

## python-confuse 2.0.1

=== debian/changelog ===
python-confuse (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 10 Jun 2023 17:33:57 -0400

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-all,
  python3-pytest,
  python3-yaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/beetbox/confuse
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-confuse.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-confuse

=== debian/watch ===
# try also https://pypi.debian.net/confuse/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/confuse/confuse-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-confuse 2.1.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
SOURCEDIR	  = .

# When both are available, use Sphinx 2.x for autodoc compatibility.
ifeq ($(shell which sphinx-build2 >/dev/null 2>&1 ; echo $$?),0)
	SPHINXBUILD = sphinx-build2
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest auto

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/* $(SOURCEDIR)/api/generated/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/beets.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/beets.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/beets"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/beets"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-confuse (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch upstream source to GitHub (as tests are no longer included).
  * Build switches to poetry.
  * Drop Rules-Requires-Root: no, now that it's default.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 02 Nov 2025 11:51:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
  debhelper-compat (= 13),
  dh-python (>= 5.20211016~),
  dh-sequence-python3,
- flit,
  pybuild-plugin-pyproject,
+ python3-poetry-core,
  python3-all,
  python3-pytest,
  python3-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/beetbox/confuse
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-confuse.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-confuse
-Rules-Requires-Root: no
 
 Package: python3-confuse
 Architecture: all

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=confuse

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: unittests3
Depends: python3-all, python3-confuse, python3-pytest
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: GitHub
Owner: beetbox
Project: confuse

## python-confuse 2.2.0

=== debian/changelog ===
python-confuse (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, drop Priority: optional.
  * Bump copyright years.
  * Patch: Depend on python3-typing-extensions on older Python versions, and
    use stdlib typing on newer versions.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 03 Feb 2026 17:45:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-confuse
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
@@ -12,7 +11,7 @@
  python3-all,
  python3-pytest,
  python3-yaml
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/beetbox/confuse
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-confuse.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-confuse
